.\" Copyright (c) 1990 Carnegie Mellon University
.\" All Rights Reserved.
.\" 
.\" Permission to use, copy, modify and distribute this software and its
.\" documentation is hereby granted, provided that both the copyright
.\" notice and this permission notice appear in all copies of the
.\" software, derivative works or modified versions, and any portions
.\" thereof, and that both notices appear in supporting documentation.
.\"
.\" THE SOFTWARE IS PROVIDED "AS IS" AND CARNEGIE MELLON UNIVERSITY
.\" DISCLAIMS ALL WARRANTIES WITH REGARD TO THIS SOFTWARE, INCLUDING ALL
.\" IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS.  IN NO EVENT
.\" SHALL CARNEGIE MELLON UNIVERSITY BE LIABLE FOR ANY SPECIAL, DIRECT,
.\" INDIRECT, OR CONSEQUENTIAL DAMAGES OR ANY DAMAGES WHATSOEVER
.\" RESULTING FROM LOSS OF USE, DATA OR PROFITS, WHETHER IN AN ACTION OF
.\" CONTRACT, NEGLIGENCE OR OTHER TORTIOUS ACTION, ARISING OUT OF OR IN
.\" CONNECTION WITH THE USE OR PERFORMANCE OF THIS SOFTWARE.
.\"
.\" Users of this software agree to return to Carnegie Mellon any
.\" improvements or extensions that they make and grant Carnegie the
.\" rights to redistribute these changes.
.\"
.\" Export of this software is permitted only after complying with the
.\" regulations of the U.S. Deptartment of Commerce relating to the
.\" Export of Technical Data.
.\"""""""""""""""""""""""""""""""""""""""""""""""""""""""""""""""""""""""""""
.\" HISTORY
.\" $Log:	getbool.3,v $
.\" Revision 1.2  90/12/12  15:50:15  mja
.\" 	Add copyright/disclaimer for distribution.
.\" 
.\" 13-Nov-86  Andi Swimmer (andi) at Carnegie-Mellon University
.\" 	Revised for 4.3.
.\" 
.\" 23-Oct-82  Steven Shafer (sas) at Carnegie-Mellon University
.\" 	Error or EOF on standard input now causes default value to be used.
.\" 
.\" 05-Dec-79  Steven Shafer (sas) at Carnegie-Mellon University
.\" 	Created.
.\" 
.TH GETBOOL 3 10/23/82
.CM 3
.SH "NAME"
getbool \- ask user to type boolean value
.SH "SYNOPSIS"
.B
#include <stdio.h>
.br
.B
#include <c.h>
.sp
.B
int getbool (prompt,defalt);
.br
.B
char *prompt;
.br
.B
int defalt;
.SH "DESCRIPTION"
.I
Getbool
is used to ask the user to type "yes" or "no".
.I
Prompt
is a string containing a message which will be printed;
the user types "yes", "y", etc., or "no", "n", etc.
in response to the question.
.I
Getbool
returns 1 if "yes" (etc.) is typed, 0 for "no".
If the user types just a carriage return, then
.I
defalt
is
returned.
.SH "SEE ALSO"
.IR getint (3), 
etc.
.br
.IR boolarg (3)
.SH "DIAGNOSTICS"
The user is informed if his response is not valid (e.g.
"maybe"),
and the prompt-and-response cycle is repeated.
.SH "BUGS"
There is no provision for an "escape" answer (e.g.
"I don't care").
